> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ingest Data Sources Change Event

> Verify HMAC and enqueue processing for a normalized change event.



## OpenAPI

````yaml https://dex.sgp.scale.com/openapi.json post /v1/webhooks/data-sources
openapi: 3.1.0
info:
  title: Document Understanding API
  description: API for uploading and processing documents
  version: 0.6.0
servers: []
security:
  - ApiKey: []
    AccountId: []
tags:
  - name: Projects
    description: Operations related to project creation and management
  - name: Files
    description: Operations related to file upload and access
  - name: Parse
    description: Operations related to starting parse jobs and accessing their results
  - name: Vector Stores
    description: Operations related to vector store creation and management
  - name: Extract
    description: Operations related to starting extract jobs and accessing their results
  - name: Research
    description: Dex Research agent kickoff and results.
  - name: Jobs
    description: Operations related to monitoring jobs and their status
  - name: Data sources
    description: Project-scoped integration with the Data Sources service
  - name: Webhooks
    description: Callbacks from external services
paths:
  /v1/webhooks/data-sources:
    post:
      tags:
        - Webhooks
      summary: Ingest Data Sources Change Event
      description: Verify HMAC and enqueue processing for a normalized change event.
      operationId: ingest_data_sources_change_event_v1_webhooks_data_sources_post
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema: {}
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication
    AccountId:
      type: apiKey
      in: header
      name: x-selected-account-id
      description: Selected Account ID

````